package com.uas.eis;

import com.uas.eis.dto.UasEvent;
import com.uas.eis.listener.UasProdInOutListener;
import com.uas.eis.service.LingxingService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = {UasEisApplication.class})
public class UasEisApplicationTests {
	@Autowired
	private UasProdInOutListener uasProdInOutListener;

	@Test
	public void Test() {
		UasEvent uasEvent = new UasEvent();
		uasEvent.setOperation("POST");
		uasEvent.setCaller("ProdInOut!Picking");
		uasEvent.setKey(50769674);
		uasProdInOutListener.onProdInOutPost_picking(uasEvent);

	}

}
